<?php
Yii::app()->clientScript->registerScript('submit', '
$(document).ready( function() {
   $("#submit_button").click(function() {
      $(this).prop("disabled",true)
         .parents("form").submit();
      });
})
');
?>
<?php
$this->PageTitle = 'Auditoria de Documentos &raquo; Edição de Contrato '.$model->COT_IDCONTRATO.' &raquo; <small class="color-blue"> '.$model->COT_CLI_NOME.'</small>';
?>
<div class="form">

<?php $form = $this->beginWidget('GxActiveForm', array(
	'id' => 'edicao-contratos-auditoria-form',
	'enableAjaxValidation' => false,
    'focus'=>array($model,'COT_CLI_NOME'),
));
?>

<?php 
	$this->widget('application.extensions.emultiselect.EMultiSelect');
    $this->widget('application.extensions.moneymask.MMask', array('element' => '#Contratos_COT_VLRMENSAL, #Contratos_COT_VLRIMPLANTACAO'));
	echo FaHtml::getFormInfo($form, $model); ?>
		<fieldset class="dark radius border-box col-xs-12 col-sm-12 col-md-6">
			<div class="col-xs-12 col-sm-12 col-md-6">
				<div class="row">
					<?php echo $form->labelEx($model,'COT_CLI_NOME'); ?>
					<?php echo $form->textField($model, 'COT_CLI_NOME', array('maxlength' => 60)); ?>
					<?php echo $form->error($model,'COT_CLI_NOME'); ?>
				</div><!-- row -->
			    <div class="row">
			        <?php echo $form->labelEx($model, 'COT_SIMPLES'); ?>
			        <?php echo $form->dropDownList($model, 'COT_SIMPLES', array('1' => 'Sim', '0' => 'Não'), array('prompt' => 'Selecione', 'class' => 'form-control btn-on-right')); ?>
			        <?php echo $form->error($model, 'COT_SIMPLES'); ?>
			    </div>
		        <div class="row">
		            <?php echo $form->labelEx($model, 'COT_IDPRODUTO'); ?>
		            <?php echo $form->dropDownList($model, 'COT_IDPRODUTO', CacheUtil::getProdutosList(), array('prompt' => 'Selecione'));
		            ?>
		            <?php echo $form->error($model, 'COT_IDPRODUTO'); ?>
		        </div><!-- row -->
			    <div class="row">
			        <?php echo $form->labelEx($model, 'Produtos complementares'); ?>
			        <?php
			        if (!isset($_POST['produtos']) || !is_array($_POST['produtos'])) {
			            $data = ContratosItens::model()->findAll('CTI_IDCONTRATO=:CotId', array(':CotId' => $model->COT_IDCONTRATO));
			            $data = CHtml::listData($data, 'CTI_IDPRODUTO', 'CTI_IDPRODUTO');
			        } else {
			            $data = $_POST['produtos'];
			        }

			        echo CHtml::dropDownList('produtos[]', $data, GxHtml::encodeEx(GxHtml::listDataEx(Modulos::model()->findAll('MOD_SITUACAO="A" and MOD_COMPLEMENTO = "S" order by MOD_DESCRICAO')), false, true), array('multiple' => 'multiple', 'key' => 'produtos', 'class' => 'multiselect', 'size' => '7'));
			        ?>
			    </div>
				<div class="row">
					<?php echo $form->labelEx($model,'COT_OBS'); ?>
					<?php echo $form->textArea($model, 'COT_OBS'); ?>
					<?php echo $form->error($model,'COT_OBS'); ?>
				</div><!-- row -->
			</div><!-- row -->
		</fieldset>
		<fieldset class="dark radius border-box col-xs-12 col-sm-12 col-md-6">
			<div class="col-xs-12 col-sm-12 col-md-6">
			    <div class="row">
			        <?php echo $form->labelEx($model, 'COT_CLI_CIDADE'); ?>
			        <?php $data = GxHtml::listDataEx(Cidades::model()->findAll(array('order' => 'CID_DESCRICAO')), 'CID_IDCIDADE', 'CidadeEstado'); ?>
			        <?php echo $form->dropDownList($model, 'COT_CLI_CIDADE', $data, array('prompt' => 'Selecione')); ?>
			        <?php echo $form->error($model, 'COT_CLI_CIDADE'); ?>
			    </div><!-- row -->
			    <div class="row">
			        <?php echo $form->labelEx($model, 'COT_CLI_IDMOTIVO'); ?>
			        <?php echo $form->dropDownList($model, 'COT_CLI_IDMOTIVO', CacheUtil::getComoNosConheceuList(), array('prompt' => 'Selecione')); ?>
			        <?php echo $form->error($model, 'COT_CLI_IDMOTIVO'); ?>
			    </div><!-- row -->
			    <div class="row">
			        <?php echo $form->labelEx($model, 'COT_NROUSUARIOS'); ?>
			        <?php echo $form->textField($model, 'COT_NROUSUARIOS', array('maxlength' => 2, 'style' => 'width:100px')); ?>
			        <?php echo $form->error($model, 'COT_NROUSUARIOS'); ?>
			    </div><!-- row -->
			    <div class="row">
			        <label for="Contratos_COT_VLRIMPLANTACAO">Valor de Implantação</label>
			        R$ <?php echo $form->textField($model, 'COT_VLRIMPLANTACAO', array('value' => Util::formatMoeda($model->COT_VLRIMPLANTACAO), 'maxlength' => 12, 'style' => 'width:100px')); ?>
			        <?php echo $form->error($model, 'COT_VLRIMPLANTACAO'); ?>
			    </div><!-- row -->
			    <div class="row">
			        <?php echo $form->labelEx($model, 'COT_VLRMENSAL'); ?>
			        R$ <?php echo $form->textField($model, 'COT_VLRMENSAL', array('value' => Util::formatMoeda($model->COT_VLRMENSAL), 'maxlength' => 12, 'style' => 'width:100px')); ?>
			        <?php echo $form->error($model, 'COT_VLRMENSAL'); ?>
			    </div><!-- row -->
			    <div class="row">
			        <?php echo $form->labelEx($model, 'COT_DIAVENCTO'); ?>
			        <?php echo $form->textField($model, 'COT_DIAVENCTO', array('style' => 'width:100px')); ?>
			        <?php echo $form->error($model, 'COT_DIAVENCTO'); ?>
			    </div><!-- row -->
			    <div class="row">
			        <?php echo $form->labelEx($model, 'COT_DTCADASTRO'); ?>
			        <?php 
				        $form->widget('ext.Utils.widgets.CrmDatePicker', array(
				        	'model' => $model, 
				        	'attribute' => 'COT_DTCADASTRO',
				        	'htmlOptions' => array ('class' => 'btn-on-right'))); 
			        ?>
                    <button id="gera_datas" class="btn btn-default">
                        Gerar demais datas automaticamente
                    </button>
			        <?php echo $form->error($model, 'COT_DTCADASTRO'); ?>		        
			    </div><!-- row -->
			    <div class="row">
			        <?php echo $form->labelEx($model, 'COT_DTINICARENCIA'); ?>
			        <?php $form->widget('ext.Utils.widgets.CrmDatePicker', array('model' => $model, 'attribute' => 'COT_DTINICARENCIA')); ?>
			        <?php echo $form->error($model, 'COT_DTINICARENCIA'); ?>
			    </div><!-- row -->
			    <div class="row">
			        <?php echo $form->labelEx($model, 'COT_DTFIMCARENCIA'); ?>
			        <?php $form->widget('ext.Utils.widgets.CrmDatePicker', array('model' => $model, 'attribute' => 'COT_DTFIMCARENCIA')); ?>
			        <?php echo $form->error($model, 'COT_DTFIMCARENCIA'); ?>
			    </div><!-- row -->
			    <div class="row">
			        <?php echo $form->labelEx($model, 'COT_DTINICOBRANCA'); ?>
			        <?php $form->widget('ext.Utils.widgets.CrmDatePicker', array('model' => $model, 'attribute' => 'COT_DTINICOBRANCA')); ?>
			        <?php echo $form->error($model, 'COT_DTINICOBRANCA'); ?>
			    </div><!-- row -->
			    <div class="row">
			        <?php echo $form->labelEx($model, 'COT_DTPRICOBRANCA'); ?>
			        <?php $form->widget('ext.Utils.widgets.CrmDatePicker', array('model' => $model, 'attribute' => 'COT_DTPRICOBRANCA')); ?>
			        <?php echo $form->error($model, 'COT_DTPRICOBRANCA'); ?>
			    </div><!-- row -->
			    <div class="row">
			        <?php echo $form->labelEx($model, 'COT_DTATIVACAO'); ?>
			        <?php $form->widget('ext.Utils.widgets.CrmDatePicker', array('model' => $model, 'attribute' => 'COT_DTATIVACAO')); ?>
			        <?php echo $form->error($model, 'COT_DTATIVACAO'); ?>
			    </div><!-- row -->
		    	<input type="hidden" id="salvar_finalizar" name="salvar_finalizar" value="">
			</div><!-- row -->
		</fieldset>
		<div style="display: inline-flex;">
			<?php
			    echo FaHtml::saveButton("Salvar", array('name' => 'salvar', 'id' => 'submit_button', 'value' => 'save'));
			?>
			<?php
				echo CHtml::button('Salvar e Finalizar',
				    array(
				        'confirm' => 'Deseja salvar e finalizar a revisão do documento?',
				        'onclick' => "$('#salvar_finalizar').val('salvar_finalizar'); $('#submit_button').trigger('click');",
				        'class' => 'btn btn-primary',
				    )
				);
			?>
		</div>
<?php
$this->endWidget();
?>
</div><!-- form -->
<style>
	#gera_datas {
		border-top-width: 1px;
		margin-top: -7px;
		padding-top: 2px;
		padding-bottom: 5px;
		font-size: 10px;
	    border-top-left-radius: 0;
	    border-bottom-left-radius: 0;
	}
</style>
<script>
    $(document).ready(function () { 
        $("#gera_datas").click(function(event) {
        	event.preventDefault();
        	var data_assinatura = $('#Contratos_COT_DTCADASTRO').val();
        	var dia_assinatura = data_assinatura.substring(0, 2);
			var mes_assinatura = data_assinatura.substring(3, 5);
			var ano_assinatura = data_assinatura.substring(6, 10);
        	if (dia_assinatura == '01') {
        		$('#Contratos_COT_DTINICOBRANCA').val(data_assinatura); 
        		$('#Contratos_COT_DTATIVACAO').val(data_assinatura); 
        		$('#Contratos_COT_DTINICARENCIA').val(''); 
        		$('#Contratos_COT_DTFIMCARENCIA').val(''); 
        		$("#Contratos_COT_DTINICARENCIA").prop('disabled', true);
        		$("#Contratos_COT_DTFIMCARENCIA").prop('disabled', true);

				var dia_vencimento = $('#Contratos_COT_DIAVENCTO').val();
				var id_data = '#Contratos_COT_DTPRICOBRANCA';
				atribui_datas(ano_assinatura, mes_assinatura, dia_vencimento, 1, id_data);

        	} else {
        		$("#Contratos_COT_DTINICARENCIA").prop('disabled', false);
        		$("#Contratos_COT_DTFIMCARENCIA").prop('disabled', false);
				$('#Contratos_COT_DTINICARENCIA').val(data_assinatura); 
				$('#Contratos_COT_DTATIVACAO').val(data_assinatura); 
				var id_data = '#Contratos_COT_DTFIMCARENCIA';
				atribui_datas(ano_assinatura, mes_assinatura, 0, 1, id_data);

				var id_data = '#Contratos_COT_DTINICOBRANCA';
				atribui_datas(ano_assinatura, mes_assinatura, 1, 1, id_data);

				var id_data = '#Contratos_COT_DTPRICOBRANCA';
				var dia_vencimento = $('#Contratos_COT_DIAVENCTO').val();
				atribui_datas(ano_assinatura, mes_assinatura, dia_vencimento, 2, id_data);
        	}

			function atribui_datas(ano_assinatura, mes_assinatura, dia_vencimento, incremento_mes, id_data) {
				var data = new Date(ano_assinatura, mes_assinatura, dia_vencimento);
				var dia = data.getDate();
				var mes = data.getMonth() + incremento_mes;
				var ano = data.getFullYear();
				var add_zero_mes_vencimento = '';
				var add_zero_dia_vencimento = '';
				if(mes < '10') {
					var add_zero_mes_vencimento = '0';
				}
				if(dia < '10') {
					add_zero_dia_vencimento = '0';
				}				
				var campo_data = add_zero_dia_vencimento + dia + '/' + add_zero_mes_vencimento + mes + '/' + ano;
				$(id_data).val(campo_data);
			}
        }).change();
    });
</script>